Page MenuHomePhabricator

Create Permanent Boxout for Prerequisites, Navigation
Closed, ResolvedPublic

Description

As per @ajwillia.ms' comment on T6256, this ticket is to discuss (and, pending the outcome, track) the creation of a permanent boxout to be displayed at the top of all documentation containing, at the minimum:

  • Prerequisites: software you should have installed and their version numbers, any documents you should have already read.
  • Contents: links to sections within the document, generated from headers and subheaders.
  • Related Topics: for quick navigation.

This is effectively a duplicate of the boxout contained on every page of the Tizen EFL documentation.

Personally, I think this is a must-have and a big chunk of what makes the Tizen docs so friendly - but I'm willing to be convinced otherwise on a variety of grounds, up to and including "doing this in DokuWiki would be a monumental pain in the you-know-where."

ghalfacree closed this task as Wontfix.Oct 30 2017, 9:05 AM
ghalfacree claimed this task.

As achieving this would be non-trivial in DokuWiki, shifting toward near-impossible if we want to retain full Markup portability, the box-out is officially ditched in favour of mandatory sections to the body text covering the same information.

The Contents portion can be generated by dokuwiki but it has been switched off in our config.
The other two (related, prerequisites) are the hard to impossible parts which may have to be omitted.

ajwillia.ms reopened this task as Open.Nov 6 2017, 8:10 AM

I missed that this was for 3 different things, let's re-open to track the discussion about ToC

ghalfacree closed this task as Resolved.Jan 1 2018, 6:59 AM

Automated TOC and manual navigation boxouts now in place; closing.

Regarding the created permanent Boxout, is it possible to keep the position while scrolling contents.
For quick navigation, generally user could see TOC of Navigation and Page contents always.
Is it supported by Dokuwiki? or, Can we make it easily by ourself?

Regarding the created permanent Boxout, is it possible to keep the position while scrolling contents.

The boxout will anchor itself to the right-hand side of the browser window and stay in place as you scroll, *if* there's enough space; if not (if, like me, you run a browser on half your desktop and it's only 960-pixels-ish wide) it will scroll with the page contents.